Description

In the current version of the Notify plugin, there are three possible stat for the app_icon parameter :

- If Audacious is not currently playing, it is set to "audacious"

- If Audacious is currently playing, and there is no retrieved cover, it is set to "audio-x-generic"

- If Audacious is currently playing, and there is a retrieved cover, it is set to NULL.

Now, the specification defines app_icon as : “The optional program icon of the calling application.”. Hence, I think "audacious" is the

most sensible option, and the two others are not relevant.

The specification also explicitly mention that :

“An implementation which only displays one image or icon must choose which one to display using the following order:

"image-data"

"image-path"

- app_icon parameter

- for compatibility reason, "icon_data"”, so there should be no drawback to not having app_icon not set to NULL even when

displaying a cover.

History

#1 - June 30, 2013 19:11 - Jean-Alexandre Anglès d'Auriac

- File notifyactionsupport.patch added

Possible patch.

#2 - July 01, 2013 03:29 - John Lindgren

- Status changed from New to Rejected

Not a bug.  The purpose of the desktop notification spec is to define an interface.  The content of the notifications should be left up to the application

to decide.

#3 - July 01, 2013 03:31 - John Lindgren

Also, what is "incoherent" to you makes perfect sense to me.  Please don't file bug reports based on personal preference.  The forums are the

appropriate place to discuss differences of opinion like this.

Files

notifyactionsupport.patch 1.9 KB June 30, 2013 Jean-Alexandre Anglès d'Auriac
